commit:     92894a233b884dd8822452ea807cb85866ed75d5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  5 20:59:48 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul  5 22:53:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92894a23

dev-python/lit: Bump to 12.0.1-rc4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/lit/Manifest              |  1 +
 dev-python/lit/lit-12.0.1_rc4.ebuild | 39 ++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 50f195a03b4..8c0855d8d8f 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -3,3 +3,4 @@ DIST llvmorg-11.1.0.tar.gz 122776532 BLAKE2B 
ca842ff4afff8f44c82b5e7383962a9c45c
 DIST llvmorg-12.0.0.tar.gz 134226215 BLAKE2B 
f9c3ba8c58571855caa4f206fd285c9b5be66672fb0814cb8bc0964a051f57f5d35013aa1e27cbda502652b37df1ec23474129109e76a42066847860db441dbe
 SHA512 
0cff02155c5ac0d6db2b72d60d9819d5b5dd859663b45f721b1c7540239c2fceb1f57d9173f6870c49de851c242ed8e85c5c6d6577a1f8092a7c5dcd12513b26
 DIST llvmorg-12.0.1-rc1.tar.gz 134261735 BLAKE2B 
d29510495641c06e6d7a5ac165e6d34e0ba15d1a5b786534e186e341e3a0550cdd3d8a2b61deb3e2bf44c0b0ff8561224bf7f8cebc2ce9415639cb67ceae289e
 SHA512 
4595a26df56eed7d5941240fe92116ad2f1c61639f0f464697c2c530a601347032fbad6802d1fa915ced8574c7b30ef05bc8c0be737784c844d3860892817e6e
 DIST llvmorg-12.0.1-rc2.tar.gz 134274147 BLAKE2B 
2d3f6ce8d5239cf2e5ea52f4b9020d6a8fedb8d6a4df02ca0d8e4398237f4eb967865e1e65570d16cd191865281b9619a63905c1e1c47b31183b881e97e49867
 SHA512 
cdebb954016dc92251cd9c6281804f7a36e7bc8c6f101a6817d96cc121aba4d361fb99501c259409a29c90d7749b224be670c41177fe43fa64b730ff294831b8
+DIST llvmorg-12.0.1-rc4.tar.gz 134278617 BLAKE2B 
d407421c7244bb125151e69e2a341f1af0a0cf8c1fda3b8ae3d4114c3a285d6307620bbf82b22d96d2c7782b37b0975e87be80c24e3ce1fdc71152734be1e8f8
 SHA512 
1a2c18435a970491eb9fc9381ba66af726e17dcbd5bf6774f9341b1e82fd35f2e5686844743f5317ebd2106b902c39e09aa98102e58a86e290b29102241c949f

diff --git a/dev-python/lit/lit-12.0.1_rc4.ebuild 
b/dev-python/lit/lit-12.0.1_rc4.ebuild
new file mode 100644
index 00000000000..37168fbde9b
--- /dev/null
+++ b/dev-python/lit/lit-12.0.1_rc4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               sys-devel/llvm )"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+       cd "${WORKDIR}" || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x LIT_PRESERVES_TMP=1
+       local litflags=$(get_lit_flags)
+       ./lit.py ${litflags//;/ } tests || die
+}

Reply via email to